Opened 8 months ago

Last modified 4 months ago

#33758 new defect

Update isl + polylib + barvinok packages

Reported by: Matthias Köppe Owned by:
Priority: major Milestone: sage-9.8
Component: packages: optional Keywords:
Cc: John Palmieri Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description

added in #23547

(from #30494) polylib is broken with current compilers. Last release was made 12 years ago, but repo https://repo.or.cz/w/polylib.git has commits in 2022

Change History (5)

comment:1 Changed 8 months ago by Matthias Köppe

Milestone: sage-9.6sage-9.7

Probably best to wait for a polylib release

comment:2 Changed 8 months ago by Samuel Lelièvre

The polylib webpage

also advertises a change of license:

2021: Polylib moved to MIT license.

comment:3 in reply to:  1 Changed 8 months ago by John Palmieri

Replying to mkoeppe:

Probably best to wait for a polylib release

Should it be downgraded to "experimental" until then?

comment:4 Changed 8 months ago by Matthias Köppe

Yes, that's a good idea

comment:5 Changed 4 months ago by Matthias Köppe

Milestone: sage-9.7sage-9.8
Note: See TracTickets for help on using tickets.